> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Offers (Advanced)

Retrieve a paginated list of offers. Supports search filters, sorting, and pagination to help you find and browse offers programmatically. Use query parameters `page` and `page_size` to control pagination.

Supports the `relationship` query parameter with the following values: `visibility`, `ruleset`, `tracking_domain`, `urls`, `affiliate_tier`, `account_manager`, `sales_manager`, `dmo`.


## OpenAPI

````yaml openapi/offers.yaml post /networks/offerstable
openapi: 3.0.3
info:
  title: Everflow Network API - Offers
  description: >
    Offer management endpoints for the Everflow partner marketing platform.
    Search, retrieve, and manage offers. For a full overview of offers, see the
    [Offer Fundamentals
    guide](https://helpdesk.everflow.io/customer/what-is-an-offer).
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Offers
    description: Endpoints for searching and managing offers.
paths:
  /networks/offerstable:
    post:
      tags:
        - Offers
      summary: Find Offers (Advanced)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number (1-based).
        - in: query
          name: page_size
          schema:
            type: integer
            default: 50
            maximum: 2000
          description: Number of results per page (max 2000).
        - in: query
          name: relationship
          schema:
            type: string
            enum:
              - all
              - visibility
              - ruleset
              - tracking_domain
              - urls
              - affiliate_tier
              - account_manager
              - sales_manager
              - dmo
              - offer_description
              - forensiq
              - twentyfour_metrics
              - ip_quality_score
              - optizmo
              - unsubcentral
          description: >-
            Include related data in the response. Repeat for multiple
            relationships. Use `all` to include everything.
      requestBody:
        content:
          application/json:
            examples:
              active_offers:
                summary: Fetch active offers
                value:
                  search_terms:
                    - search_type: name
                      value: ''
                  filters:
                    offer_status: active
              private_cpa_by_name:
                summary: Fetch private CPA offers by name
                value:
                  search_terms:
                    - search_type: name
                      value: insurance
                  filters:
                    offer_status: active
                    visibility: require_approval
                    payout_type: cpa
              mobile_targeting:
                summary: Fetch offers targeting phones and tablets
                value:
                  search_terms:
                    - search_type: name
                      value: ''
                  filters:
                    offer_status: active
                    device_type_ids:
                      - 1
                      - 2
            schema:
              properties:
                search_terms:
                  type: array
                  description: Text search filters. Each entry searches a specific field.
                  items:
                    type: object
                    required:
                      - search_type
                      - value
                    properties:
                      search_type:
                        type: string
                        enum:
                          - name
                          - encoded_value
                          - advertiser_name
                        description: The field to search on.
                      value:
                        type: string
                        description: The search term.
                included_network_offer_ids:
                  type: array
                  items:
                    type: integer
                  description: Only return these specific offer IDs.
                excluded_network_offer_ids:
                  type: array
                  items:
                    type: integer
                  description: Exclude these specific offer IDs from results.
                included_offer_ids_overrides_other_filters:
                  type: boolean
                  description: >-
                    When true, the included offer IDs override all other
                    filters.
                filters:
                  type: object
                  description: Structured filters to narrow results.
                  properties:
                    network_advertiser_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by advertiser IDs.
                    network_offer_group_id:
                      type: integer
                      description: Filter by offer group ID.
                    network_category_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by category IDs.
                    offer_status:
                      type: string
                      enum:
                        - active
                        - paused
                        - pending
                        - deleted
                      description: Filter by offer status.
                    visibilities:
                      type: array
                      items:
                        type: string
                        enum:
                          - public
                          - require_approval
                          - private
                      description: Filter by visibility setting.
                    labels:
                      type: array
                      items:
                        type: string
                      description: Filter by label names.
                    business_unit_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by business unit IDs.
                    account_manager_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by account manager IDs.
                    sales_manager_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by sales manager IDs.
                    network_tracking_domain_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by tracking domain IDs.
                    network_channel_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by channel IDs.
                    revenue_types:
                      type: array
                      items:
                        type: string
                      description: Filter by revenue type.
                    payout_types:
                      type: array
                      items:
                        type: string
                      description: Filter by payout type.
                    country_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by targeted country IDs.
                    platform_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by targeted platform IDs.
                    device_type_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by targeted device type IDs.
                    network_advertiser_id:
                      type: integer
                      description: Filter by a single advertiser ID (legacy).
                    network_affiliate_tier_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by affiliate tier IDs.
                    demand_partner_ids:
                      type: array
                      items:
                        type: integer
                      description: Filter by demand partner IDs.
                    network_affiliate_id:
                      type: integer
                      description: Filter by affiliate ID.
                    affiliate_runnable_status:
                      type: string
                      enum:
                        - runnable
                        - blocked
                        - all
                      description: Filter by affiliate runnable status.
                    is_24_metrics_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by 24Metrics integration status.
                    is_forensiq_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by Forensiq integration status.
                    is_anura_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by Anura integration status.
                    is_ip_quality_score_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by IPQualityScore integration status.
                    is_ezepo_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by Ezepo integration status.
                    is_optizmo_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by Optizmo integration status.
                    is_unsubcentral_enabled:
                      type: string
                      enum:
                        - enabled
                        - disabled
                      description: Filter by UnsubCentral integration status.
              type: object
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  offers:
                    type: array
                    items:
                      type: object
                      properties:
                        network_offer_id:
                          type: integer
                          description: Unique offer ID.
                        network_id:
                          type: integer
                          description: Network ID.
                        network_advertiser_id:
                          type: integer
                          description: Advertiser that owns this offer.
                        network_offer_group_id:
                          type: integer
                          description: Offer group this offer belongs to.
                        name:
                          type: string
                          description: Offer name.
                        offer_status:
                          type: string
                          enum:
                            - active
                            - paused
                            - pending
                            - deleted
                          description: Current status of the offer.
                        thumbnail_url:
                          type: string
                          description: Offer thumbnail image URL.
                        visibility:
                          type: string
                          enum:
                            - public
                            - require_approval
                            - private
                          description: Offer visibility setting.
                        currency_id:
                          type: string
                          description: Currency used for this offer.
                        destination_url:
                          type: string
                          description: The destination URL where traffic is sent.
                        encoded_value:
                          type: string
                          description: Encoded offer ID for use in tracking links.
                        project_id:
                          type: string
                        is_force_terms_and_conditions:
                          type: boolean
                        labels:
                          type: array
                          items:
                            type: string
                          description: Labels applied to this offer.
                        payout:
                          type: string
                          description: 'Formatted payout string (e.g. "CPA: $0.900").'
                        revenue:
                          type: string
                          description: 'Formatted revenue string (e.g. "RPA: $0.900").'
                        caps_timezone_id:
                          type: integer
                        daily_conversion_cap:
                          type: integer
                        weekly_conversion_cap:
                          type: integer
                        monthly_conversion_cap:
                          type: integer
                        global_conversion_cap:
                          type: integer
                        daily_click_cap:
                          type: integer
                        weekly_click_cap:
                          type: integer
                        monthly_click_cap:
                          type: integer
                        global_click_cap:
                          type: integer
                        daily_payout_cap:
                          type: integer
                        weekly_payout_cap:
                          type: integer
                        monthly_payout_cap:
                          type: integer
                        global_payout_cap:
                          type: integer
                        daily_revenue_cap:
                          type: integer
                        weekly_revenue_cap:
                          type: integer
                        monthly_revenue_cap:
                          type: integer
                        global_revenue_cap:
                          type: integer
                        payout_percentage:
                          type: integer
                          description: Payout percentage for CPS/RPS payout types.
                        revenue_percentage:
                          type: integer
                          description: Revenue percentage for CPS/RPS revenue types.
                        category:
                          type: string
                          description: Category name for this offer.
                        channels:
                          type: array
                          description: Channels this offer belongs to.
                          items:
                            type: object
                        network_advertiser_name:
                          type: string
                          description: Name of the advertiser that owns this offer.
                        optimized_thumbnail_url:
                          type: string
                          description: Optimized thumbnail image URL.
                        payout_amount:
                          type: number
                          format: double
                          description: Default payout amount.
                        payout_type:
                          type: string
                          description: Default payout type (cpa, cpc, cpm, cps, etc).
                        revenue_amount:
                          type: number
                          format: double
                          description: Default revenue amount.
                        revenue_type:
                          type: string
                          description: Default revenue type (rpa, rpc, rpm, rps, etc).
                        today_clicks:
                          type: integer
                          description: Number of clicks today.
                        today_payout_amount:
                          type: number
                          format: double
                          description: Total payout amount today.
                        today_revenue:
                          type: string
                          description: Total revenue today (formatted string).
                        today_revenue_amount:
                          type: number
                          format: double
                          description: Total revenue amount today.
                        time_created:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of creation.
                        time_saved:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of last update.
                        relationship:
                          type: object
                          description: Related data returned with each offer entry.
                          properties:
                            remaining_caps:
                              type: object
                              description: Remaining cap values for the offer.
                            visibility:
                              type: object
                              description: Visibility settings for this offer.
                            ruleset:
                              type: object
                              description: Targeting ruleset for this offer.
                            tracking_domain:
                              type: object
                              description: Tracking domain for this offer.
                            urls:
                              type: object
                              description: Additional offer URLs.
                            affiliate_tier_infos:
                              type: array
                              description: Affiliate tier info entries.
                              items:
                                type: object
                            account_manager:
                              type: object
                              description: Account manager employee.
                            sales_manager:
                              type: object
                              description: Sales manager employee.
                            is_dmo:
                              type: boolean
                              description: Whether this offer is a DMO.
                            demand_partner:
                              type: object
                              description: Demand partner information.
                            forensiq:
                              type: object
                              description: Forensiq integration settings.
                            twentyfour_metrics:
                              type: object
                              description: 24Metrics integration settings.
                            ip_quality_score:
                              type: object
                              description: IPQualityScore integration settings.
                            optizmo:
                              type: object
                              description: Optizmo integration settings.
                            unsubcentral:
                              type: object
                              description: UnsubCentral integration settings.
                            offer_html_description:
                              type: string
                              description: >-
                                Offer HTML description (with offer_description
                                relationship).
                  paging:
                    type: object
                    properties:
                      page:
                        type: integer
                      page_size:
                        type: integer
                      total_count:
                        type: integer
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````